Index: /trunk/gsdl/perllib/strings.rb
===================================================================
--- /trunk/gsdl/perllib/strings.rb	(revision 9155)
+++ /trunk/gsdl/perllib/strings.rb	(revision 9156)
@@ -131,8 +131,15 @@
 # -- explode_metadata_database.pl --
 explode.desc:Explode a metadata database
+
+explode.document_field:The metadata element specifying the file name of documents to obtain and include in the collection.
+
+explode.document_prefix:A prefix for the document locations (for use with the document_field option).
+
+explode.document_suffix:A suffix for the document locations (for use with the document_field option).
+
 explode.encoding:Encoding to use when reading in the database file
-explode.filename_field:Field to use for filenames for the generated null files.
+explode.filename_field:Field to use for filenames for the generated null files (if no document_field or that field is empty)
 explode.metadata_set:Metadata set (namespace) to export all metadata as
-explode.plugin: plugin to use for exploding
+explode.plugin: Plugin to use for exploding
 explode.params: [options] filename
 # -- exportcol.pl --
@@ -657,12 +664,4 @@
 ISISPlug.entry_separator:The string used to separate multiple values for single metadata fields in CDS/ISIS database records.
 
-ISISPlug.explode_databases:Explode databases processed by this plugin into individual records with editable metadata. This is an irreversible process and the original database files will be deleted.
-
-ISISPlug.document_field:The metadata element specifying the file name of documents to obtain and include in the collection.
-
-ISISPlug.document_prefix:A prefix for the document locations (for use with the document_field option).
-
-ISISPlug.document_suffix:A suffix for the document locations (for use with the document_field option).
-
 LaTeXPlug.desc:Plugin for LaTeX documents.
 
Index: /trunk/gsdl/perllib/strings_es.rb
===================================================================
--- /trunk/gsdl/perllib/strings_es.rb	(revision 9155)
+++ /trunk/gsdl/perllib/strings_es.rb	(revision 9156)
@@ -183,4 +183,13 @@
 
 classinfo.specific_options:Se definen las opciones especÃ­ficas dentro del propio clasificador, y sÃ³lo estÃ¡ disponible a este clasificador particular.
+
+# -- explode_metadata_database.pl
+
+explode.document_field:El elemento de los meta-datos que especifica los nombres de archivo de los documentos a obtener e incluir en la colecciÃ³n.
+
+explode.document_prefix:Un prefijo para las ubicaciones de los documentos (para usar con la opciÃ³n document_field).
+
+explode.document_suffix:Un sufijo para las ubicaciones de los documentos (para usar con la opciÃ³n document_field).
+
 
 
@@ -911,13 +920,4 @@
 ISISPlug.entry_separator:La cadena de caracteres que se usa para separar mÃºltiples valores en los campos de metadatos de los registros de la base de datos CDS/ISIS.
 
-
-# -- Missing translation: ISISPlug.explode_databases
-
-ISISPlug.document_field:El elemento de los meta-datos que especifica los nombres de archivo de los documentos a obtener e incluir en la colecciÃ³n.
-
-ISISPlug.document_prefix:Un prefijo para las ubicaciones de los documentos (para usar con la opciÃ³n document_field).
-
-ISISPlug.document_suffix:Un sufijo para las ubicaciones de los documentos (para usar con la opciÃ³n document_field).
-
 LaTeXPlug.desc:Plugin para documentos LaTeX.
 
Index: /trunk/gsdl/perllib/strings_fr.rb
===================================================================
--- /trunk/gsdl/perllib/strings_fr.rb	(revision 9155)
+++ /trunk/gsdl/perllib/strings_fr.rb	(revision 9156)
@@ -183,4 +183,12 @@
 
 classinfo.specific_options:Les options spÃ©cifiques sont dÃ©finies dans le classificateur lui mÃªme, et sont disponibles seulement pour ce classificateur particulier.
+
+# -- explode_metadata_database.pl
+
+explode.document_field:L'Ã©lÃ©ment de metadata indiquant le nom de fichier des documents Ã  obtenir et inclure dans la collection.
+
+explode.document_prefix:PrÃ©fixe pour localiser les documents (s'utilise avec l'option "document_field").
+
+explode.document_suffix:Suffixe pour localiser les documents (s'utilise avec l'option "document_field").
 
 
@@ -911,13 +919,4 @@
 ISISPlug.entry_separator:La chaÃ®ne utilisÃ©e pour sÃ©parer les valeurs multiples des champs de mÃ©ta-donnÃ©es individuelles dans les enregistrements de base de donnÃ©es CDS/ISIS.
 
-
-# -- Missing translation: ISISPlug.explode_databases
-
-ISISPlug.document_field:L'Ã©lÃ©ment de metadata indiquant le nom de fichier des documents Ã  obtenir et inclure dans la collection.
-
-ISISPlug.document_prefix:PrÃ©fixe pour localiser les documents (s'utilise avec l'option "document_field").
-
-ISISPlug.document_suffix:Suffixe pour localiser les documents (s'utilise avec l'option "document_field").
-
 LaTeXPlug.desc:Plugin pour documents  LaTeX .
 
Index: /trunk/gsdl/perllib/strings_ru.rb
===================================================================
--- /trunk/gsdl/perllib/strings_ru.rb	(revision 9155)
+++ /trunk/gsdl/perllib/strings_ru.rb	(revision 9156)
@@ -199,4 +199,14 @@
  ÑÐ°ÐŒÐŸÐ³ÐŸ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ° Ðž ÐŽÐŸÑÑÑÐ¿ÐœÑ ÑÐŸÐ»ÑÐºÐŸ ÑÑÐŸÐŒÑ ÑÐ¿ÐµÑÐžÑÐžÑÐµÑÐºÐŸÐŒÑ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÑ.
 
+# -- explode_metadata_database.pl --
+
+explode.document_field: Ð­Ð»ÐµÐŒÐµÐœÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+, ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑÑÐžÐ¹ ÐžÐŒÑ ÑÐ°Ð¹Ð»Ð° ÐŽÐ»Ñ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², ÐºÐŸÑÐŸÑÑÐµ Ð±ÑÐŽÑÑ Ð¿ÐŸÐ»ÑÑÐµÐœÑ Ðž Ð²ÐºÐ»ÑÑÐµÐœÑ Ð² ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ.
+
+
+explode.document_prefix: ÐÑÐžÑÑÐ°Ð²ÐºÐ° ÐŽÐ»Ñ ÐŒÐµÑÑÐŸÐ¿ÐŸÐ»ÐŸÐ¶ÐµÐœÐžÐ¹ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° (ÐŽÐ»Ñ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÑ Ñ ÐŸÐ¿ÑÐžÐµÐ¹ document_field).
+
+
+explode.document_suffix:Ð¡ÑÑÑÐžÐºÑ ÐŽÐ»Ñ ÐŒÐµÑÑÐŸÐ¿ÐŸÐ»ÐŸÐ¶ÐµÐœÐžÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° (ÐŽÐ»Ñ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÑ Ñ ÐŸÐ¿ÑÐžÐµÐ¹ document_field).
 
 # -- exportcol.pl --
@@ -1111,17 +1121,4 @@
  CDS/ISIS.
 
-
-# -- Missing translation: ISISPlug.explode_databases
-
-ISISPlug.document_field: Ð­Ð»ÐµÐŒÐµÐœÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-, ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑÑÐžÐ¹ ÐžÐŒÑ ÑÐ°Ð¹Ð»Ð° ÐŽÐ»Ñ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², ÐºÐŸÑÐŸÑÑÐµ Ð±ÑÐŽÑÑ Ð¿ÐŸÐ»ÑÑÐµÐœÑ Ðž Ð²ÐºÐ»ÑÑÐµÐœÑ Ð² ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ.
-
-
-ISISPlug.document_prefix: ÐÑÐžÑÑÐ°Ð²ÐºÐ° ÐŽÐ»Ñ ÐŒÐµÑÑÐŸÐ¿ÐŸÐ»ÐŸÐ¶ÐµÐœÐžÐ¹ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° (ÐŽÐ»Ñ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÑ Ñ ÐŸÐ¿ÑÐžÐµÐ¹ document_field).
-
-
-ISISPlug.document_suffix:Ð¡ÑÑÑÐžÐºÑ ÐŽÐ»Ñ ÐŒÐµÑÑÐŸÐ¿ÐŸÐ»ÐŸÐ¶ÐµÐœÐžÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° (ÐŽÐ»Ñ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÑ Ñ ÐŸÐ¿ÑÐžÐµÐ¹ document_field).
-
-
 LaTeXPlug.desc:ÐÐ»Ð°Ð³ÐžÐœ ÐŽÐ»Ñ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² LaTeX. 
 