Index: trunk/gsdl/macros/hebrew.dm
===================================================================
--- trunk/gsdl/macros/hebrew.dm	(revision 9292)
+++ trunk/gsdl/macros/hebrew.dm	(revision 9293)
@@ -2,5 +2,5 @@
 ######################################################################
 #
-# English Language text and icon macros 
+# Hebrew Language text and icon macros 
 #
 ######################################################################
@@ -166,5 +166,5 @@
 #------------------------------------------------------------
 
-## "  ××××¢ ×ª××× " ## top_nav_button ## chome ##
+## "××××¢ ×ª×××" ## top_nav_button ## chome ##
 _httpiconchomeof_ [l=iw] {_httpimg_/iw/chomeof.gif}
 _httpiconchomeon_ [l=iw] {_httpimg_/iw/chomeon.gif}
@@ -172,5 +172,5 @@
 _heightchomex_ [l=iw] {20}
 
-## " ××š××¢ " ## top_nav_button ## chelp ##
+## "××š××¢" ## top_nav_button ## chelp ##
 _httpiconchelpof_ [l=iw] {_httpimg_/iw/chelpof.gif}
 _httpiconchelpon_ [l=iw] {_httpimg_/iw/chelpon.gif}
@@ -178,5 +178,5 @@
 _heightchelpx_ [l=iw] {20}
 
-## " ×ª××××€×××¢ " ## top_nav_button ## cpref ##
+## "×ª××××€×××¢" ## top_nav_button ## cpref ##
 _httpiconcprefof_ [l=iw] {_httpimg_/iw/cprefof.gif}
 _httpiconcprefon_ [l=iw] {_httpimg_/iw/cprefon.gif}
@@ -184,10 +184,10 @@
 _heightcprefx_ [l=iw] {20}
 
-## " ××š××¢ " ## green_title ## h_help ##
+## "××š××¢" ## green_title ## h_help ##
 _httpiconhhelp_ [l=iw] {_httpimg_/iw/h\_help.gif}
 _widthhhelp_ [l=iw] {200}
 _heighthhelp_ [l=iw] {57}
 
-## " ×××š××× ×ª-× " ## nav_bar_button ## tauth ##
+## "×××š××× ×ª-×" ## nav_bar_button ## tauth ##
 _httpicontcreatgr_ [l=iw] {_httpimg_/iw/tauthgr.gif}
 _httpicontcreatof_ [l=iw] {_httpimg_/iw/tauthof.gif}
@@ -196,5 +196,5 @@
 _heighttcreatx_ [l=iw] {17}
 
-## " ×ª××š××¡ " ## nav_bar_button ## tser ##
+## "×ª××š××¡" ## nav_bar_button ## tser ##
 _httpicontsergr_ [l=iw] {_httpimg_/iw/tsergr.gif}
 _httpicontserof_ [l=iw] {_httpimg_/iw/tserof.gif}
@@ -203,5 +203,5 @@
 _heighttserx_ [l=iw] {17}
 
-## " ×××××š××ª " ## nav_bar_button ## tdate ##
+## "×××××š××ª" ## nav_bar_button ## tdate ##
 _httpicontdategr_ [l=iw] {_httpimg_/iw/tdategr.gif}
 _httpicontdateof_ [l=iw] {_httpimg_/iw/tdateof.gif}
@@ -210,5 +210,5 @@
 _heighttdatex_ [l=iw] {17}
 
-## " ××××©××  " ## nav_bar_button ## tsubj ##
+## "××××©×× " ## nav_bar_button ## tsubj ##
 _httpicontsubjgr_ [l=iw] {_httpimg_/iw/tsubjgr.gif}
 _httpicontsubjon_ [l=iw] {_httpimg_/iw/tsubjon.gif}
@@ -217,5 +217,5 @@
 _heighttsubjx_ [l=iw] {17}
 
-## " ×š××§× " ## nav_bar_button ## tto ##
+## "×š××§×" ## nav_bar_button ## tto ##
 _httpiconttogr_ [l=iw] {_httpimg_/iw/ttogr.gif}
 _httpiconttoon_ [l=iw] {_httpimg_/iw/ttoon.gif}
@@ -224,5 +224,5 @@
 _heightttox_ [l=iw] {17}
 
-## " ××¢× " ## nav_bar_button ## tfrom ##
+## "××¢×" ## nav_bar_button ## tfrom ##
 _httpicontfromgr_ [l=iw] {_httpimg_/iw/tfromgr.gif}
 _httpicontfromon_ [l=iw] {_httpimg_/iw/tfromon.gif}
@@ -231,5 +231,5 @@
 _heighttfromx_ [l=iw] {17}
 
-## " ××××š× " ## nav_bar_button ## torg ##
+## "××××š×" ## nav_bar_button ## torg ##
 _httpicontorggr_ [l=iw] {_httpimg_/iw/torggr.gif}
 _httpicontorgon_ [l=iw] {_httpimg_/iw/torgon.gif}
@@ -238,5 +238,5 @@
 _heighttorgx_ [l=iw] {17}
 
-## " ××Š×× " ## nav_bar_button ## thow ##
+## "××Š××" ## nav_bar_button ## thow ##
 _httpiconthowgr_ [l=iw] {_httpimg_/iw/thowgr.gif}
 _httpiconthowon_ [l=iw] {_httpimg_/iw/thowon.gif}
@@ -245,5 +245,5 @@
 _heightthowx_ [l=iw] {17}
 
-## " ×ª×š×ª×× " ## nav_bar_button ## ttopic ##
+## "×ª×š×ª××" ## nav_bar_button ## ttopic ##
 _httpiconttopicgr_ [l=iw] {_httpimg_/iw/ttopicgr.gif}
 _httpiconttopicon_ [l=iw] {_httpimg_/iw/ttopicon.gif}
@@ -252,5 +252,5 @@
 _heightttopicx_ [l=iw] {17}
 
-## " ×£××€× " ## nav_bar_button ## tbrwse ##
+## "×£××€×" ## nav_bar_button ## tbrwse ##
 _httpicontbrwsegr_ [l=iw] {_httpimg_/iw/tbrwsegr.gif}
 _httpicontbrwseon_ [l=iw] {_httpimg_/iw/tbrwseon.gif}
@@ -259,5 +259,5 @@
 _heighttbrwsex_ [l=iw] {17}
 
-## " ×©×€× " ## nav_bar_button ## tsrch ##
+## "×©×€×" ## nav_bar_button ## tsrch ##
 _httpicontsrchgr_ [l=iw] {_httpimg_/iw/tsrchgr.gif}
 _httpicontsrchof_ [l=iw] {_httpimg_/iw/tsrchof.gif}
@@ -266,5 +266,5 @@
 _heighttsrchx_ [l=iw] {17}
 
-## " ×ª-× ×ª××š×ª×× " ## nav_bar_button ## ttitl ##
+## "×ª-× ×ª××š×ª××" ## nav_bar_button ## ttitl ##
 _httpiconttitlegr_ [l=iw] {_httpimg_/iw/ttitlgr.gif}
 _httpiconttitleof_ [l=iw] {_httpimg_/iw/ttitlof.gif}
@@ -273,5 +273,5 @@
 _heightttitlex_ [l=iw] {17}
 
-## " ×××©× × " ## nav_bar_button ## tpeop ##
+## "×××©× ×" ## nav_bar_button ## tpeop ##
 _httpicontpeopgr_ [l=iw] {_httpimg_/iw/tpeopgr.gif}
 _httpicontpeopof_ [l=iw] {_httpimg_/iw/tpeopof.gif}
@@ -280,5 +280,5 @@
 _heighttpeopx_ [l=iw] {17}
 
-## " ××€×© " ## nav_bar_button ## tlang ##
+## "××€×©" ## nav_bar_button ## tlang ##
 _httpicontlanggr_ [l=iw] {_httpimg_/iw/tlanggr.gif}
 _httpicontlangon_ [l=iw] {_httpimg_/iw/tlangon.gif}
@@ -287,5 +287,5 @@
 _heighttlangx_ [l=iw] {17}
 
-## " ××©××š ×ª××××ª " ## nav_bar_button ## tacro ##
+## "××©××š ×ª××××ª" ## nav_bar_button ## tacro ##
 _httpicontacrogr_ [l=iw] {_httpimg_/iw/tacrogr.gif}
 _httpicontacroof_ [l=iw] {_httpimg_/iw/tacroof.gif}
@@ -305,5 +305,5 @@
 
 
-## " ××¢ " ## green_title ## h_about ##
+## "××¢" ## green_title ## h_about ##
 _httpiconhabout_ [l=iw] {_httpimg_/iw/h\_about.gif}
 _widthhabout_ [l=iw] {200}
@@ -419,70 +419,70 @@
 #------------------------------------------------------------
 
-## "  ×ª××š×ª×× ×ª-× " ## green_title ## h_title ##
+## "×ª××š×ª×× ×ª-×" ## green_title ## h_title ##
 _httpiconhtitle_ [l=iw] {_httpimg_/iw/h\_title.gif}
 _widthhtitle_ [l=iw] {200}
 _heighthtitle_ [l=iw] {57}
 
-## "  ×××š××× ×ª-× " ## green_title ## h_auth ##
+## "×××š××× ×ª-×" ## green_title ## h_auth ##
 _httpiconhcreat_ [l=iw] {_httpimg_/iw/h\_auth.gif}
 _widthhcreat_ [l=iw] {200}
 _heighthcreat_ [l=iw] {57}
 
-## " ××××©××  " ## green_title ## h_subj ##
+## "××××©×× " ## green_title ## h_subj ##
 _httpiconhsubj_ [l=iw] {_httpimg_/iw/h\_subj.gif}
 _widthhsubj_ [l=iw] {200}
 _heighthsubj_ [l=iw] {57}
 
-## " ×š××§× " ## green_title ## h_to ##
+## "×š××§×" ## green_title ## h_to ##
 _httpiconhto_ [l=iw] {_httpimg_/iw/h\_to.gif}
 _widthhto_ [l=iw] {200}
 _heighthto_ [l=iw] {57}
 
-## " ××¢× " ## green_title ## h_from ##
+## "××¢×" ## green_title ## h_from ##
 _httpiconhfrom_ [l=iw] {_httpimg_/iw/h\_from.gif}
 _widthhfrom_ [l=iw] {200}
 _heighthfrom_ [l=iw] {57}
 
-## " ×ª××š××¡ " ## green_title ## h_ser ##
+## "×ª××š××¡" ## green_title ## h_ser ##
 _httpiconhser_ [l=iw] {_httpimg_/iw/h\_ser.gif}
 _widthhser_ [l=iw] {200}
 _heighthser_ [l=iw] {57}
 
-## " ×××××š××ª " ## green_title ## h_date ##
+## "×××××š××ª" ## green_title ## h_date ##
 _httpiconhdate_ [l=iw] {_httpimg_/iw/h\_date.gif}
 _widthhdate_ [l=iw] {200}
 _heighthdate_ [l=iw] {57}
 
-## " ××Š×× " ## green_title ## h_how ##
+## "××Š××" ## green_title ## h_how ##
 _httpiconhhow_ [l=iw] {_httpimg_/iw/h\_how.gif}
 _widthhhow_ [l=iw] {200}
 _heighthhow_ [l=iw] {57}
 
-## " ××××©××  " ## green_title ## h_topic ##
+## "××××©×× " ## green_title ## h_topic ##
 _httpiconhtopic_ [l=iw] {_httpimg_/iw/h\_topic.gif}
 _widthhtopic_ [l=iw] {200}
 _heighthtopic_ [l=iw] {57}
 
-## " ××××š× " ## green_title ## h_org ##
+## "××××š×" ## green_title ## h_org ##
 _httpiconhorg_ [l=iw] {_httpimg_/iw/h\_org.gif}
 _widthhorg_ [l=iw] {250}
 _heighthorg_ [l=iw] {57}
 
-## " ××Š× " ## green_title ## h_brwse ##
+## "××Š×" ## green_title ## h_brwse ##
 _httpiconhbrwse_ [l=iw] {_httpimg_/iw/h\_brwse.gif}
 _widthhbrwse_ [l=iw] {200}
 _heighthbrwse_ [l=iw] {57}
 
-## " ×××©× × " ## green_title ## h_people ##
+## "×××©× ×" ## green_title ## h_people ##
 _httpiconhpeople_ [l=iw] {_httpimg_/iw/h\_people.gif}
 _widthhpeople_ [l=iw] {200}
 _heighthpeople_ [l=iw] {57}
 
-## " ×ª××€×© " ## green_title ## h_lang ##
+## "×ª××€×©" ## green_title ## h_lang ##
 _httpiconhlang_ [l=iw] {_httpimg_/iw/h\_lang.gif}
 _widthhlang_ [l=iw] {200}
 _heighthlang_ [l=iw] {57}
 
-## " ××©××š ×ª××××ª " ## green_title ## h_acro ##
+## "××©××š ×ª××××ª" ## green_title ## h_acro ##
 _httpiconhacronym_ [l=iw] {_httpimg_/iw/h\_acro.gif}
 _widthhacronym_ [l=iw] {200}
@@ -495,5 +495,5 @@
 _heightcontx_ [l=iw] {17}
 
-## " ××××š×× ××¡×§× " ## document_button ## eallt ## 
+## "××××š××\n××¡×§×" ## document_button ## eallt ## 
 _httpiconealltof_ [l=iw] {_httpimg_/iw/ealltof.gif}
 _httpiconeallton_ [l=iw] {_httpimg_/iw/eallton.gif}
@@ -501,5 +501,5 @@
 _heightealltx_ [l=iw] {30}
 
-## " ×¥×××× ×ª× ××××ª× " ## document_button ## econc ##
+## "×¥××××\n×ª× ××××ª×" ## document_button ## econc ##
 _httpiconeconcof_ [l=iw] {_httpimg_/iw/econcof.gif}
 _httpiconeconcon_ [l=iw] {_httpimg_/iw/econcon.gif}
@@ -507,5 +507,5 @@
 _heighteconcx_ [l=iw] {30}
 
-## " ×§×ª× × " ## document_button ## edtch ##
+## "×§×ª× ×" ## document_button ## edtch ##
 _httpiconedtchof_ [l=iw] {_httpimg_/iw/edtchof.gif}
 _httpiconedtchon_ [l=iw] {_httpimg_/iw/edtchon.gif}
@@ -513,5 +513,5 @@
 _heightedtchx_ [l=iw] {30}
 
-## " ××××š×× ×ª× ××××ª× " ## document_button ## eexpc ##
+## "××××š××\n×ª× ××××ª×" ## document_button ## eexpc ##
 _httpiconeexpcof_ [l=iw] {_httpimg_/iw/eexpcof.gif}
 _httpiconeexpcon_ [l=iw] {_httpimg_/iw/eexpcon.gif}
@@ -519,5 +519,5 @@
 _heighteexpcx_ [l=iw] {30}
 
-## " ×¥×××× ×ª× ××¡×§×× " ## document_button ## etsec ##
+## "×¥××××\n×ª× ××¡×§××" ## document_button ## etsec ##
 _httpiconetsecof_ [l=iw] {_httpimg_/iw/etsecof.gif}
 _httpiconetsecon_ [l=iw] {_httpimg_/iw/etsecon.gif}
@@ -525,5 +525,5 @@
 _heightetsecx_ [l=iw] {30}
 
-## " ××©××× " ## document_button ## ehl ##
+## "××©×××" ## document_button ## ehl ##
 _httpiconehlof_ [l=iw] {_httpimg_/iw/ehlof.gif}
 _httpiconehlon_ [l=iw] {_httpimg_/iw/ehlon.gif}
@@ -531,5 +531,5 @@
 _heightehlx_ [l=iw] {30}
 
-## " ××× ××©××× " ## document_button ## enhl ##
+## "×××\n××©×××" ## document_button ## enhl ##
 _httpiconenhlof_ [l=iw] {_httpimg_/iw/enhlof.gif}
 _httpiconenhlon_ [l=iw] {_httpimg_/iw/enhlon.gif}
@@ -557,9 +557,9 @@
 
 _texticonthispage_ [l=iw] {×××€××©}
-_textsome_ [l=iw]{×××××}
-_textall_ [l=iw]{××××× ×}
-_textboolean_ [l=iw]{×××}
-_textranked_ [l=iw]{×××§}
-_textnatural_ [l=iw]{×××}
+_textsome_ [l=iw] {×××××}
+_textall_ [l=iw] {××××× ×}
+_textboolean_ [l=iw] {×××}
+_textranked_ [l=iw] {×××§}
+_textnatural_ [l=iw] {×××}
 #_textsome_ [l=iw] {_If_(_cgiargb_,×××§,×××××)}
 #_textall_ [l=iw] {_If_(_cgiargb_,×××,××××× × )}
@@ -645,20 +645,20 @@
 #------------------------------------------------------------
 
-## "×©××€××  " ## green_title ## h_search ##
+## "×©××€××" ## green_title ## h_search ##
 _httpiconhsearch_ [l=iw] {_httpimg_/iw/h\_search.gif}
 _widthhsearch_ [l=iw] {200}
 _heighthsearch_ [l=iw] {57}
 
-## " ×ª×××Š××ª" ## green_bar_left_aligned ## qryresb ##
+## "×ª×××Š××ª" ## green_bar_left_aligned ## qryresb ##
 _httpiconqryresb_ [l=iw] {_httpimg_/iw/qryresb.gif}
 _widthqryresb_ [l=iw] {_pagewidth_}
 _heightqryresb_ [l=iw] {17}
 
-## " ×××š×××¡× " ## green_bar_left_aligned ## schhistb ##
+## "×××š×××¡×" ## green_bar_left_aligned ## schhistb ##
 _httpiconsrchhistb_ [l=iw] {_httpimg_/iw/schhistb.gif}
 _widthsrchhistb_ [l=iw] {_pagewidth_}
 _heightsrchhistb_ [l=iw] {17}
 
-## "××Š× " ## hand_made ##
+## "××Š×" ## hand_made ##
 _httpicondisplay_ [l=iw] {_httpimg_/display.gif}
 _widthdisplay_ [l=iw] {60}
@@ -740,5 +740,5 @@
 #------------------------------------------------------------
 
-## " ×ª×××€×××¢ " ## green_title ## h_pref ##
+## "×ª×××€×××¢" ## green_title ## h_pref ##
 _httpiconhpref_ [l=iw] {_httpimg_/iw/h\_pref.gif}
 _widthhpref_ [l=iw] {200}